THIRDCHORD              



The Flickr Montager requires Flash 7.
If you dont have it, get it here

It is fairly CPU intensive.
It operates best on a high speed machine. And it seems to prefer newer macs as opposed to older ones.
Beware that it may crash your browser.
If this is ok,



click to proceed